imagejpeg
imageline
GD and Image Functions
PHP Manual

# imagelayereffect

(PHP 4 >= 4.3.0, PHP 5, PHP 7)

imagelayereffect — Set the alpha blending flag to use the bundled libgd layering effects

### Description

bool imagelayereffect ( resource `$image` , int `$effect` )

Set the alpha blending flag to use the bundled libgd layering effects.

### Parameters

`image`

  An image resource, returned by one of the image creation functions, such as imagecreatetruecolor().

`effect`

  One of the following constants:

  `IMG_EFFECT_REPLACE`
    Use pixel replacement (equivalent of passing `TRUE` to imagealphablending())
  `IMG_EFFECT_ALPHABLEND`
    Use normal pixel blending (equivalent of passing `FALSE` to imagealphablending())
  `IMG_EFFECT_NORMAL`
    Same as `IMG_EFFECT_ALPHABLEND`.
  `IMG_EFFECT_OVERLAY`
    Overlay has the effect that black background pixels will remain black, white background pixels will remain white, but grey background pixels will take the colour of the foreground pixel.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 imagelayereffect() example

`<?php
// Setup an image
$im = imagecreatetruecolor(100, 100);
// Set a background
imagefilledrectangle($im, 0, 0, 100, 100, imagecolorallocate($im, 220, 220, 220));
// Apply the overlay alpha blending flag
imagelayereffect($im, IMG_EFFECT_OVERLAY);
// Draw two grey ellipses
imagefilledellipse($im, 50, 50, 40, 40, imagecolorallocate($im, 100, 255, 100));
imagefilledellipse($im, 50, 50, 50, 80, imagecolorallocate($im, 100, 100, 255));
imagefilledellipse($im, 50, 50, 80, 50, imagecolorallocate($im, 255, 100, 100));
// Output
header('Content-type: image/png');
imagepng($im);
imagedestroy($im);
?>`

The above example will output something similar to:

### Notes

> Note: This function requires GD 2.0.1 or later (2.0.28 or later is recommended).

imagejpeg
imageline
GD and Image Functions
PHP Manual